| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Tuples::Local::Counter Class Referencefinal
Collaboration diagram for Tuples::Local::Counter:
[legend]

## Public Member Functions
| Counter (std::string msg=" Misbalance ")
| ~Counter ()
long | increment (const std::string &object)
long | decrement (const std::string &object)
long | counts (const std::string &object) const
void | report () const

## Private Attributes
std::map< std::string, long > | m_map
std::string | m_message

## Detailed Description

Definition at line 121 of file TupleObj.cpp.

## Constructor & Destructor Documentation

Tuples::Local::Counter::Counter | ( | std::string | msg = `" Misbalance "` | ) |
| inline

Definition at line 125 of file TupleObj.cpp.

126 : m_message ( std::move(msg) )
127 {}
std::move
T move(T...args)
Tuples::Local::Counter::m_message
std::string m_message
Definition: TupleObj.cpp:150

Tuples::Local::Counter::~Counter | ( |  | ) |
| inline

Definition at line 129 of file TupleObj.cpp.

129 { report(); }
Tuples::Local::Counter::report
void report() const
Definition: TupleObj.cpp:137

## Member Function Documentation

long Tuples::Local::Counter::counts | ( | const std::string & | object | ) | const
| inline

Definition at line 135 of file TupleObj.cpp.

135 { return m_map.at(object); }
Tuples::Local::Counter::m_map
std::map< std::string, long > m_map
Definition: TupleObj.cpp:146
std::map::at
T at(T...args)

long Tuples::Local::Counter::decrement | ( | const std::string & | object | ) |
| inline

Definition at line 133 of file TupleObj.cpp.

133 { return --m_map[object]; }
Tuples::Local::Counter::m_map
std::map< std::string, long > m_map
Definition: TupleObj.cpp:146

long Tuples::Local::Counter::increment | ( | const std::string & | object | ) |
| inline

Definition at line 131 of file TupleObj.cpp.

131 { return ++m_map[object]; }
Tuples::Local::Counter::m_map
std::map< std::string, long > m_map
Definition: TupleObj.cpp:146

void Tuples::Local::Counter::report | ( |  | ) | const
| inline

Definition at line 137 of file TupleObj.cpp.

138 {
139 for ( auto& entry : m_map )
140 {
141 if( entry.second != 0 ) std::cout
142 << "Tuples::TupleObj WARNING " << m_message
143 << "'" << entry.first << "' Counts = " << entry.second
144 << std::endl ;
145 }
146 };
std::endl
T endl(T...args)
Tuples::Local::Counter::m_map
std::map< std::string, long > m_map
Definition: TupleObj.cpp:146
Tuples::Local::Counter::m_message
std::string m_message
Definition: TupleObj.cpp:150
std::cout

## Member Data Documentation

std::map<std::string,long> Tuples::Local::Counter::m_map
| private

Definition at line 146 of file TupleObj.cpp.

std::string Tuples::Local::Counter::m_message
| private

Definition at line 150 of file TupleObj.cpp.

The documentation for this class was generated from the following file:

- GaudiAlg/src/lib/TupleObj.cpp